/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

main {
  padding: 20px;
  width: 80%;
  margin: 0 auto;
  margin-top: 50px;
}

/* ------ Introduction ------- */

#intro {
  position: relative;
  padding-top: 100px;
  width: 80%;
  margin: 0 auto;
  text-align: justify;
}

#intro>h2 {
  margin-top: 50px;
}

.bg-heading-intro {
  top: 30px;
}

.bg-sub-heading-intro {
  top: 0px;
}

.intro__button {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-top: 30px;
}

.intro__image-container img {
  width: 100%;
  height: auto;
  border-radius: 5px;
}

.intro__techstack-grid {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 20px 1fr;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  text-align: left;
}

.intro__techstack-grid-item {
  border-width: 1px;
  border-radius: 10px;
  border: solid 2px #f1eeec;
  text-align: center;
}

.intro__techstack-grid-item ul {
  list-style-type: none;
  padding: 0 20px;
}

.intro__techstack-grid-item li {
  display: inline-block;
  padding: 5px 10px;
  background-color: #f6f3f0;
  border-radius: 7px;
  margin: 5px;
}
/* ------ Main ------ */

#main {
  position: relative;
  margin-top: 100px;
}

.main__grid-container {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 40px 1fr;
  grid-template-columns: 1fr 1fr;
  gap: 40px;
  padding-top: 150px;
}

.main__grid-container p {
  text-align: justify;
}

.main__grid-container h2 {
  font-family: "Rozha One", serif;
}

.main__image {
  width: 100%;
  height: auto;
  margin: 0;
  border-radius: 5px;
}

.main__image:hover {
  cursor: pointer;
  -webkit-transform: scale(1.05);
      -ms-transform: scale(1.05);
          transform: scale(1.05);
  -webkit-transition: all ease 0.3s;
  -o-transition: all ease 0.3s;
  transition: all ease 0.3s;
}

#lightbox {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  z-index: 10;
}

#lightbox img {
  max-width: 90%;
  max-height: 90%;
  border-radius: 7px;
}

/* ------ Conclusion ------ */

#conclusion {
  position: relative;
  width: 80%;
  margin: 0 auto;
  margin-top: 50px;
}

.conclusion__grid-container {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 0.3fr 20px 0.7fr;
  grid-template-columns: 0.3fr 0.7fr;
  gap: 20px;
  padding-top: 80px;
}

.bg-heading-conclusion {
  top: 100px;
}

.bg-sub-heading-conclusion {
  top: 120px;
}

.conclusion__text-container {
  padding-top: 80px;
  text-align: justify;
}

.conclusion__image-container {
  z-index: 5;
  text-align: center;
  padding-top: 20px;
}

.conclusion__image-container img {
  width: 80%;
  height: auto;
  border-radius: 13%;
}

/** ------ Media Queries ------ */

@media all and (max-width: 800px) {

  header {
    display: block;
    text-align: center;
  }

  .navigation-list {
    text-align: center;
    font-size: var(--font-size-small);
  }

  .bg-heading {
    font-size: 6rem;
  }

  .bg-sub-heading {
    font-size: 1.5rem;
  }

  h1 {
    font-size: 1.4em;
  }

  #intro {
    width: 100%;
  }

  .bg-sub-heading-intro {
    top: 40px;
  }

  .main__grid-container {
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
    gap: 15px;
  }

  .main__grid-item3 {
    -webkit-box-ordinal-group: 5;
        -ms-flex-order: 4;
            order: 4;
  }

  .main__grid-item4 {
    -webkit-box-ordinal-group: 4;
        -ms-flex-order: 3;
            order: 3;
  }

  .main__grid-item5 {
    -webkit-box-ordinal-group: 6;
        -ms-flex-order: 5;
            order: 5;
  }

  .main__grid-item6 {
    -webkit-box-ordinal-group: 7;
        -ms-flex-order: 6;
            order: 6;
  }

  .main__grid-item7 {
    -webkit-box-ordinal-group: 8;
        -ms-flex-order: 7;
            order: 7;
  }

  .main__grid-item8 {
    -webkit-box-ordinal-group: 9;
        -ms-flex-order: 8;
            order: 8;
  }

  .conclusion__grid-container {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 10px 1fr;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
    margin: 0;
    width: 100%;
    padding-top: 50px;
  }

  .conclusion__image-container {
    padding-top: 50px;
  }

  .bg-heading-conclusion {
    top: 50px;
  }

  .bg-sub-heading-conclusion {
    top: 65px;
  }

  .conclusion__grid-container {
    display: block;
  }

  .conclusion__image-container img {
    width: 40%;
    height: auto;
    border-radius: 5px;
  }

  .conclusion__text-container {
    padding-top: 30px;
  }

}

@media all and (max-width: 500px) {

  img.header-item {
    -webkit-transform: scale(0.8);
        -ms-transform: scale(0.8);
            transform: scale(0.8);
  }

  .navigation-list {
    text-align: center;
    font-size: var(--font-size-small);
  }

  .bg-heading {
    font-size: 4rem;
  }

  .bg-sub-heading {
    font-size: 1rem;
  }

  .intro__techstack-grid {
    display: block;
  }

  .intro__techstack-grid-item {
    margin: 20px;
  }

  .bg-heading-main {
    top: 10px;
  }

  #main .bg-sub-heading {
    top: 20px;
  }

  main {
    width: 90%;
  }

  #main {
    margin-top: 60px;
  }

  .main__grid-container {
    padding-top: 50px;
  }
}